# Get a shared dashboard definition

> Source: https://docs.clonepartner.com/api-reference/public-dashboards/get-public-dashboard/

`GET /api/public/dashboards/{token}`

No session auth. Requires a valid share token. Disabled when
`ENVOY_PUBLIC_DASHBOARDS_ENABLED=false` (503).

**Operation ID:** `getPublicDashboard`

## Authentication

No authentication is required.

## Path parameters

- `token` — `string`, `required`

## Success responses

### 200

Public dashboard metadata and parsed definition

**Content type:** `application/json`

- Type: `object`
- Properties:
  - `id` (`integer`)
  - `name` (`string`)
  - `description` (`string | null`)
    - Nullable: yes
  - `dashboard` (`object`)

## Error responses

### 404

Resource not found

**Content type:** `application/json`

- Reference: `Error`
  - Type: `object`
  - Properties:
    - `error` (`string`)
      - Example: `NOT_FOUND`
    - `message` (`string`)
      - Example: `Resource not found`

Example:

```json
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}
```

### 503

Public dashboards disabled on this server


## Examples

### cURL

```bash
curl --request GET \
  --url 'https://your-envoy.example.com/api/public/dashboards/YOUR_TOKEN'
```

### JavaScript (fetch)

```javascript
const response = await fetch('https://your-envoy.example.com/api/public/dashboards/YOUR_TOKEN', {
  method: 'GET',
});

if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);
```
